Bug 478364 - Review Request: perl-Verilog-Readmem - Parse Verilog $readmemh or $readmemb text file
Review Request: perl-Verilog-Readmem - Parse Verilog $readmemh or $readmemb t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-28 19:33 EST by Chitlesh GOORAH
Modified: 2009-03-05 11:34 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.04-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 11:27:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-28 19:33:39 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Verilog-Readmem.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-Verilog-Readmem-0.02-1.fc10.src.rpm
Description:
Provides an object-oriented environment to generate Verilog code for
modules and testbenches. The Verilog::CodeGen module provides two
functions, one to create a code template and another to create a Perl
module which contains the device library. This module ,
DeviceLibs::YourDesign, provides the class methods and contains the objects
for every Verilog module; the objects are created based on a fixed
template. The purpose of this module is to allow the generation of
customized Verilog modules. A Verilog module can have a large number of
parameters like input and output bus width, buffer depth, signal delay etc.
The code generator allows to create an object that will generate the
Verilog module code for arbitraty values of the parameters.
Comment 1 Chitlesh GOORAH 2008-12-28 19:40:48 EST
sorry description is:

%description
The Verilog Hardware Description Language (HDL) provides a convenient way
to load a memory during logic simulation. The $readmemh() and $readmemb()
system tasks are used in the HDL source code to import the contents of a
text file into a memory variable.
Comment 2 Brennan Ashton 2008-12-28 21:06:48 EST
I have started the review.
Comment 3 Brennan Ashton 2009-02-23 17:54:15 EST
[X]source files match upstream:
56d569e0258e6777f47c85410de58dbb  ../SOURCES/Verilog-Readmem-0.02.tar.gz
56d569e0258e6777f47c85410de58dbb  Verilog-Readmem-0.02.tar.gz

[x]package meets naming and versioning guidelines.
[x]specfile is properly named, is cleanly written and uses macros consistently.
[x]dist tag is present.
[x]license field matches the actual license.
[x]license is open source-compatible.
GPL+ or Artistic
[FAIL]latest version is being packaged.
There is now 0.04
[x]BuildRequires are proper.
[x]compiler flags are appropriate.
[x]%clean is present.
[x]package builds in koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1148876
[x]package installs properly.

[?]rpmlint is silent.
rpmlint perl-Verilog-Readmem.spec ../SRPMS/perl-Verilog-Readmem-0.02-1.fc10.src.rpm ../RPMS/noarch/perl-Verilog-Readmem-0.02-1.fc10.noarch.rpm 
perl-Verilog-Readmem.noarch: W: spurious-executable-perm /usr/share/doc/perl-Verilog-Readmem-0.02/examples/ex1
perl-Verilog-Readmem.noarch: W: spurious-executable-perm /usr/share/doc/perl-Verilog-Readmem-0.02/examples/ex2
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

That is your call.

[x]final provides and requires are sane:
rpm -qp --provides ../RPMS/noarch/perl-Verilog-Readmem-0.02-1.fc10.noarch.rpm 
perl(Verilog::Readmem) = 0.02
perl-Verilog-Readmem = 0.02-1.fc10
rpm -qp --requires ../RPMS/noarch/perl-Verilog-Readmem-0.02-1.fc10.noarch.rpm 
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(Exporter)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1


[x]%check is present and all tests pass:
[x]owns the directories it creates.
[x]doesn't own any directories it shouldn't.
[x]no duplicates in %files.
[?]file permissions are appropriate.
see rpmlint
[x]no scriptlets present.
[x]code, not content.
[x]documentation is small, so no -docs subpackage is necessary.
[x]%docs are not necessary for the proper functioning of the package.
[x]no headers.
[x]no pkgconfig files.

Consider upgrading to 0.04 and also confirm you want the example files like that.
Comment 5 Parag AN(पराग) 2009-03-01 22:31:35 EST
any progress here?
Comment 6 Brennan Ashton 2009-03-01 22:54:57 EST
Ok, passes RPMLINT and is the new version. I approve. Ready for CVS.
Comment 7 Chitlesh GOORAH 2009-03-02 05:19:06 EST
New Package CVS Request
=======================
Package Name: perl-Verilog-Readmem
Short Description: Parse Verilog $readmemh or $readmemb
Branches: F-9 F-10 EL-5
Owner: chitlesh
Comment 8 Kevin Fenzi 2009-03-02 19:17:24 EST
cvs done.
Comment 9 Fedora Update System 2009-03-04 15:48:55 EST
perl-Verilog-Readmem-0.04-1.fc9,perl-Verilog-3.120-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Verilog-Readmem-0.04-1.fc9,perl-Verilog-3.120-1.fc9
Comment 10 Fedora Update System 2009-03-04 15:49:00 EST
perl-Verilog-Readmem-0.04-1.fc10,perl-Verilog-3.120-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Verilog-Readmem-0.04-1.fc10,perl-Verilog-3.120-1.fc10
Comment 11 Fedora Update System 2009-03-05 11:27:39 EST
perl-Verilog-Readmem-0.04-1.fc10, perl-Verilog-3.120-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-03-05 11:34:22 EST
perl-Verilog-Readmem-0.04-1.fc9, perl-Verilog-3.120-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.